EditableOMGraphic.OMGraphicUndoEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class EditableOMGraphic.OMGraphicUndoEvent

    java.lang.Object
      com.bbn.openmap.omGraphics.EditableOMGraphic.OMGraphicUndoEvent

All Implemented Interfaces:
  UndoEvent

Direct Known Subclasses:
  EditableOMPoly.OMPolyUndoEvent, EditableOMRangeRings.OMRangeRingUndoEvent

Enclosing class:
  EditableOMGraphic

    public static class EditableOMGraphic.OMGraphicUndoEvent

extends java.lang.Object
implements UndoEvent

Generic undo event for basic OMGraphics.

Author:
  dietrick

Field Summary
`protected java.lang.String` | `description`
`protected EditableOMGraphic` | `eomg`
`protected OMGraphic` | `stateHolder`

Constructor Summary
`EditableOMGraphic.OMGraphicUndoEvent(EditableOMGraphic eomg, java.lang.String description)`

Method Summary
`java.lang.String` | `getDescription()`
`EditableOMGraphic` | `getEomg()`
`OMGraphic` | `getStateHolder()`
`void` | `setDescription(java.lang.String description)`
`void` | `setState()` Tell the UndoEvent to set its source object back to the state described by this object.
`void` | `setStateHolder(OMGraphic stateHolder)`
`protected void` | `setSubclassState()` Called from setState before repaint() is called, so subclasses can update anything in their EditableOMGraphic state for the restored OMGraphic.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eomg

    protected EditableOMGraphic eomg

### stateHolder

    protected OMGraphic stateHolder

### description

    protected java.lang.String description

Constructor Detail

### EditableOMGraphic.OMGraphicUndoEvent

    public EditableOMGraphic.OMGraphicUndoEvent(EditableOMGraphic eomg,
                                                java.lang.String description)
                                         throws java.util.MissingResourceException

Throws:
  `java.util.MissingResourceException`

Method Detail

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `UndoEvent`
  Returns:
    a short description of what will happen when setState() is invoked.

### setState

    public void setState()

  Description copied from interface: `UndoEvent`
  Tell the UndoEvent to set its source object back to the state described by this object.

  Specified by:
    `setState` in interface `UndoEvent`

### setSubclassState

    protected void setSubclassState()

  Called from setState before repaint() is called, so subclasses can update anything in their EditableOMGraphic state for the restored OMGraphic.

### getStateHolder

    public OMGraphic getStateHolder()

  Returns:
    the stateHolder

### setStateHolder

    public void setStateHolder(OMGraphic stateHolder)

  Parameters:
    `stateHolder` - the stateHolder to set

### getEomg

    public EditableOMGraphic getEomg()

  Returns:
    the eomg

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - the description to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details